package be.hikage.breihzjug.web.dao;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import javax.sql.DataSource;



import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Scope;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

import be.hikage.breihzjug.web.model.Application;


public class SimpleJdbcApplicationDao implements ApplicationDao{

	
	private JdbcTemplate template;
	
	
	public void setDatasource(DataSource ds){
		template = new JdbcTemplate(ds);
		
	}

	public List<Application> list() {
		return template.query("select * from applications", new RowMapper<Application>(){

			public Application mapRow(ResultSet rs, int i)
					throws SQLException {
				Application app = new Application();
				app.setApplicationName(rs.getString("name"));
				app.setUrl(rs.getString("url"));
				app.setStatus(rs.getString("status"));
				return app;
			}
			
		});
	}
}
